#include <stdio.h>
#include <iostream>
#include <string.h>

using namespace std;

int main()
{
    string t,s;
    int n,i,br=0,m;
    cin >> t >> s;
    n=t.length();
    m=s.length();
    for(i=0;i<n;i++)
    {
        if(t[i]=='a')
            br++;
        if(br>=m&&t[i]=='a')
            t[i]='*';
    }
    cout << br-m+1 << "\n" << t;

}